#!/bin/ksh
_GlobalPreferences=$(defaults read "$HOME"/Library/Preferences/.GlobalPreferences | sed -ne '
/^ *AppleLocale = */s/"[^"][^"]*"/"en_US"/
/^ *AppleLanguages = *(/,/^ *)/{
  /^ *AppleLanguages = *(/{
    p
    n
    h
    s/[^ ,][^ ,]*/en/
    p
    d
  }
  /^ *en,$/{
    x
    p
    d
  }
}
p
') &&
defaults write "$HOME"/Library/Preferences/.GlobalPreferences "$_GlobalPreferences" || {
  cat <<EOF
usage:
	$(basename $0)

copyright:
	Copyright (C) 2013 Taiji Yamada <taiji@aihara.co.jp>
	This program is distributed under the BSD 2-clause license.
	See http://opensource.org/licenses/BSD-2-Clause
EOF
}
